Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.session
Interface RemoteSessionLocator

    public interface RemoteSessionLocator

Locator of sessions that are being hosted by other cluster nodes. Use `XMPPServer.setRemoteSessionLocator(RemoteSessionLocator)` to set the session locator to use. When not running inside of a cluster `XMPPServer.getRemoteSessionLocator()` will always return null.

Author:
  Gaston Dombiak

Method Summary
`ClientSession` | `getClientSession(byte[] nodeID, org.xmpp.packet.JID address)` Returns a session surrogate of a client session hosted by a remote cluster node.
`ComponentSession` | `getComponentSession(byte[] nodeID, org.xmpp.packet.JID address)` Returns a session surrogate of a component session hosted by a remote cluster node.
`ConnectionMultiplexerSession` | `getConnectionMultiplexerSession(byte[] nodeID, org.xmpp.packet.JID address)` Returns a session surrogate of a Connection Multiplexer session hosted by a remote cluster node.
`IncomingServerSession` | `getIncomingServerSession(byte[] nodeID, String streamID)` Returns a session surrogate of an incoming server session hosted by a remote cluster node.
`OutgoingServerSession` | `getOutgoingServerSession(byte[] nodeID, org.xmpp.packet.JID address)` Returns a session surrogate of an outgoing server session hosted by a remote cluster node.

Method Detail

### getClientSession

    ClientSession getClientSession(byte[] nodeID,
                                   org.xmpp.packet.JID address)

  Returns a session surrogate of a client session hosted by a remote cluster node. It is assumed that the client session exists in a remote node. Anyway, if the remote session was closed or its connection was lost or if the connection to the cluster is lost then any remote invocation will fail and a proper error will be returned.

  Parameters:
    `nodeID` - the ID of the node hosting the session.
    `address` - the address that uniquely identifies the session.
  Returns:
    a session surrogate of a client session hosted by a remote cluster node.

### getComponentSession

    ComponentSession getComponentSession(byte[] nodeID,
                                         org.xmpp.packet.JID address)

  Returns a session surrogate of a component session hosted by a remote cluster node. It is assumed that the component session exists in a remote node. Anyway, if the remote session was closed or its connection was lost or if the connection to the cluster is lost then any remote invocation will fail and a proper error will be returned.

  Parameters:
    `nodeID` - the ID of the node hosting the session.
    `address` - the address that uniquely identifies the session.
  Returns:
    a session surrogate of a component session hosted by a remote cluster node.

### getConnectionMultiplexerSession

    ConnectionMultiplexerSession getConnectionMultiplexerSession(byte[] nodeID,
                                                                 org.xmpp.packet.JID address)

  Returns a session surrogate of a Connection Multiplexer session hosted by a remote cluster node. It is assumed that the ConnectionMultiplexer session exists in a remote node. Anyway, if the remote session was closed or its connection was lost or if the connection to the cluster is lost then any remote invocation will fail and a proper error will be returned.

  Parameters:
    `nodeID` - the ID of the node hosting the session.
    `address` - the address that uniquely identifies the session.
  Returns:
    a session surrogate of a ConnectionMultiplexer session hosted by a remote cluster node.

### getIncomingServerSession

    IncomingServerSession getIncomingServerSession(byte[] nodeID,
                                                   String streamID)

  Returns a session surrogate of an incoming server session hosted by a remote cluster node. It is assumed that the incoming server session exists in a remote node. Anyway, if the remote session was closed or its connection was lost or if the connection to the cluster is lost then any remote invocation will fail and a proper error will be returned.

  Parameters:
    `nodeID` - the ID of the node hosting the session.
    `streamID` - the stream ID that uniquely identifies the session.
  Returns:
    a session surrogate of an incoming server session hosted by a remote cluster node.

### getOutgoingServerSession

    OutgoingServerSession getOutgoingServerSession(byte[] nodeID,
                                                   org.xmpp.packet.JID address)

  Returns a session surrogate of an outgoing server session hosted by a remote cluster node. It is assumed that the outgoing server session exists in a remote node. Anyway, if the remote session was closed or its connection was lost or if the connection to the cluster is lost then any remote invocation will fail and a proper error will be returned.

  Parameters:
    `nodeID` - the ID of the node hosting the session.
    `address` - the address that uniquely identifies the session.
  Returns:
    a session surrogate of an incoming server session hosted by a remote cluster node.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.